Fornecido por TikHub
API de pesquisa do Lemon8
Pesquise a API do Lemon8 via TikHub. Uma solicitação por chamada; o TikHub cobra a solicitação independentemente de haver dados, e um envelope de dados vazio é informado como nenhum resultado.
Como executar
Etapa 1Configurar
Uma vez: cole isto no chat do seu agente. O Skill instala a CLI e faz login sozinho. Para um agente que não pode usar um shell, conecte-o pelo MCP.
set up https://glasser.ai/SKILL.md
Show me how to use the TikHub endpoint /api/v1/lemon8/app/fetch_search on Glasser.glasser run -p tikhub -e '/api/v1/lemon8/app/fetch_search' -i '{"query":"lemon8"}' --endpoint-version 2Usa a versão 2 do endpoint. Consulte o preço atual antes de executar. Instale e faça login primeiro em Get Started.
Uma vez por Run:
IDEMPOTENCY_KEY=$(uuidgen)Execute e copie este mesmo bloco para enviá-lo novamente:
curl -X POST https://api.glasser.ai/v1/runs \
-H "Authorization: Bearer gl_..." \
-H "Idempotency-Key: $IDEMPOTENCY_KEY" \
-H "Content-Type: application/json" \
-d '{"provider":"tikhub","endpoint":"/api/v1/lemon8/app/fetch_search","input":{"query":"lemon8"},"endpoint_version":2}'Reutilize a mesma Idempotency-Key para enviar novamente: o segundo envio é uma leitura do primeiro Run. Uma nova chave cria um novo Run e um novo Charge. Usa a versão 2 do endpoint; consulte o preço atual antes de executar.
Etapa 2Experimente uma tarefa de exemplo específica
Quando precisar pesquisar uma questão, você pode buscar fontes relevantes e analisar quais resultados vale a pena ler com mais atenção.
Copie este prompt no seu agente para encontrar fontes para sua pergunta de pesquisa.
Use tikhub:/api/v1/lemon8/app/fetch_search on Glasser.
Search for sources about my research question and explain which returned results are relevant.Estrutura do endpoint
{
"type": "object",
"$schema": "http://json-schema.org/draft-07/schema#",
"required": [
"query"
],
"properties": {
"query": {
"type": "string",
"maxLength": 2048,
"minLength": 1,
"description": "Search keyword"
},
"order_by": {
"type": "string",
"maxLength": 2048,
"minLength": 1,
"description": "Search sort type, default is an empty string, optional values are as follows: - Empty string: Relevance (default using this parameter to sort) - popular: Sort by popularity - recent: Sort from new to old"
},
"max_cursor": {
"type": "string",
"maxLength": 2048,
"minLength": 1,
"description": "Pagination parameter, can be obtained from the return result of the last request. It is empty for the first request, and the `max_cursor` returned by the last request is used for subsequent requests. You can judge whether there is more data by the `has_more` field in the return result."
},
"search_tab": {
"type": "string",
"maxLength": 2048,
"minLength": 1,
"description": "Search type, default is `main`, optional values are as follows: - main: Display as `Top` in the APP (comprehensive search, default using this parameter to search) - user: Display as `Accounts` in the APP (search user accounts) - hashtag: Display as `Hashtags` in the APP (search hashtags) - article: Display as `Posts` in the APP (search articles)"
},
"filter_type": {
"type": "string",
"maxLength": 2048,
"minLength": 1,
"description": "Search filter type, default is an empty string, optional values are as follows: - Empty string: All (default using this parameter to search) - video: Search only video - posts: Search only posts"
}
},
"additionalProperties": false
}{
"query": "lemon8"
}Este endpoint não publica um esquema de saída. Você recebe o corpo da resposta do próprio provedor de dados, sem alterações — não garantimos um formato que não podemos assegurar.
Como funciona a cobrança
| Dados retornados ou nenhuma correspondência | O mesmo preço com ou sem dados correspondentes. | $0.001 |
|---|---|---|
| Erro do provedor de dados | O provedor de dados não conseguiu responder. | $0.00 |
| Tempo limite excedido | O Run excedeu seu limite de tempo. | $0.00 |
| Falha interna | Um erro interno impediu a conclusão. | $0.00 |